package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * CriticalModelNum
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class CriticalModelNum   {
  @JsonProperty("criticalNumber")
  private Integer criticalNumber;

  public CriticalModelNum criticalNumber(Integer criticalNumber) {
    this.criticalNumber = criticalNumber;
    return this;
  }

  /**
   * Number of critical models
   * @return criticalNumber
  */
  @ApiModelProperty(value = "Number of critical models")


  public Integer getCriticalNumber() {
    return criticalNumber;
  }

  public void setCriticalNumber(Integer criticalNumber) {
    this.criticalNumber = criticalNumber;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CriticalModelNum criticalModelNum = (CriticalModelNum) o;
    return Objects.equals(this.criticalNumber, criticalModelNum.criticalNumber);
  }

  @Override
  public int hashCode() {
    return Objects.hash(criticalNumber);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CriticalModelNum {\n");
    
    sb.append("    criticalNumber: ").append(toIndentedString(criticalNumber)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

